Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server
Class ServiceDeploymentDescriptor

    java.lang.Object
      |
      +--oracle.soap.server.DeploymentDescriptor
            |
            +--oracle.soap.server.ServiceDeploymentDescriptor

All Implemented Interfaces:
  java.io.Serializable

public final class ServiceDeploymentDescriptor
extends DeploymentDescriptor
implements java.io.Serializable

`ServiceDeploymentDescriptor` defines the deployment information for a SOAP service, independent of its provider type. The class supports any number of named provider options, which allows the descriptor to be easily extended (without code changes) for new types of providers.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `m_checkMustUnderstands`
`protected java.lang.String[]` | `m_faultListener`
`protected boolean` | `m_isApacheDescriptor`
`protected boolean` | `m_isStatic`
`protected java.lang.String[]` | `m_methods`
`protected java.lang.String` | `m_providerClass`
`protected java.lang.String` | `m_providerId`
`protected java.util.Hashtable` | `m_providerOptions`
`protected byte` | `m_providerType`
`protected int` | `m_scope`
`protected java.lang.String` | `m_serviceClass`
`protected int` | `m_serviceType`
`protected java.util.Hashtable` | `m_sqlMap`
`protected TypeMapping[]` | `m_typeMappings`
`static byte` | `PROVIDER_JAVA`
`static byte` | `PROVIDER_SCRIPT_FILE`
`static byte` | `PROVIDER_SCRIPT_STRING`
`static byte` | `PROVIDER_USER_DEFINED`
`static int` | `SCOPE_APPLICATION`
`static int` | `SCOPE_REQUEST`
`static int` | `SCOPE_SESSION`
`static int` | `SERVICE_TYPE_MESSAGE`
`static int` | `SERVICE_TYPE_RPC`

Fields inherited from class oracle.soap.server.DeploymentDescriptor
`m_id`

Constructor Summary
`ServiceDeploymentDescriptor()` Construct a new service descriptor.

Method Summary
`SOAPFaultRouter` | `buildFaultRouter(java.lang.ClassLoader cl)` Get the fault router.
`static SOAPMappingRegistry` | `buildSOAPMappingRegistry(ServiceDeploymentDescriptor sdd)` Utility to generate an XML serialization registry from all the type mappings registered into a deployment descriptor.
`static SOAPMappingRegistry` | `buildSOAPMappingRegistry(ServiceDeploymentDescriptor sdd, java.lang.ClassLoader cl)` Utility to generate an XML serialization registry from all the type mappings registered into a deployment descriptor.
`static ServiceDeploymentDescriptor` | `fromXML(Element root)` Populate the `ServiceDeploymentDescriptor` with information from the given document, which is the XML representation of the descriptor.
`boolean` | `getCheckMustUnderstands()` Get the mustUnderstand attribute processing mode
`java.lang.String` | `getDefaultSMRClass()` Get the default SOAP mapping registry class.
`java.lang.String[]` | `getFaultListener()` Get the fault listener list.
`boolean` | `getIsApacheDescriptor()` Get indication of whether this is an Apache SOAP deployment descriptor or not.
`boolean` | `getIsStatic()` Get an indication of whether the methods exposed by this service are static or not.
`java.lang.String[]` | `getMethods()` Get the list of methods that are provided by this service.
`java.lang.String` | `getProviderClass()` Get the provider class.
`java.lang.String` | `getProviderId()` Get the provider id for this service.
`java.util.Hashtable` | `getProviderOptions()` Get the provider-specific options.
`byte` | `getProviderType()` Get the provider type.
`int` | `getScope()` Get the scope.
`java.lang.String` | `getServiceClass()` Get the Java class for this service.
`int` | `getServiceType()` Get the service type.
`java.util.Hashtable` | `getSqlMap()` Get the SQL type to Java type map.
`TypeMapping[]` | `getTypeMappings()` Get the XML-Java type mappings, which define how to deserialize XML into Java and serialize Java into XML.
`boolean` | `isMethodValid(java.lang.String methodName)` Determine if the given method is valid for this service.
`void` | `setCheckMustUnderstands(boolean checkThem)` Set the mustUnderstand attribute processing mode
`void` | `setDefaultSMRClass(java.lang.String defaultSMRClass)` Set the default SOAP mapping registry class.
`void` | `setFaultListener(java.lang.String[] faultListener)` Set the fault listener list.
`void` | `setIsApacheDescriptor(boolean isApache)` Set whether this is an Apache SOAP deployment descriptor or not.
`void` | `setIsStatic(boolean isStatic)` Set the attribute which indicates whether the methods exposed by this service are static or not.
`void` | `setMethods(java.lang.String[] methods)` Set the list of methods that are provided by this service.
`void` | `setProviderClass(java.lang.String providerClass)` Set the provider class.
`void` | `setProviderId(java.lang.String providerId)` Set the id of the provider for this service.
`void` | `setProviderOptions(java.util.Hashtable providerOptions)` Set the provider-specific options.
`void` | `setProviderType(byte providerType)` Set the provider type.
`void` | `setScope(int scope)` Set the execution scope.
`void` | `setServiceClass(java.lang.String className)` Set the Java class for this service.
`void` | `setServiceType(int serviceType)` Set the service type.
`void` | `setSqlMap(java.util.Hashtable sqlMap)` Set the map that maps from SQL type to Java type.
`void` | `setTypeMappings(TypeMapping[] typeMappings)` Set the XML-Java type mappings, which define how to deserialize XML into Java and serialize Java into XML.
`java.lang.String` | `toString()` Get a printable representation of this descriptor.
`void` | `toXML(java.io.Writer pr)` Write out the service deployment descriptor as XML.

Methods inherited from class oracle.soap.server.DeploymentDescriptor
`getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_TYPE_RPC

    public static final int SERVICE_TYPE_RPC

  See Also:
    Constant Field Values

### SERVICE_TYPE_MESSAGE

    public static final int SERVICE_TYPE_MESSAGE

  See Also:
    Constant Field Values

### PROVIDER_JAVA

    public static final byte PROVIDER_JAVA

  See Also:
    Constant Field Values

### PROVIDER_SCRIPT_FILE

    public static final byte PROVIDER_SCRIPT_FILE

  See Also:
    Constant Field Values

### PROVIDER_SCRIPT_STRING

    public static final byte PROVIDER_SCRIPT_STRING

  See Also:
    Constant Field Values

### PROVIDER_USER_DEFINED

    public static final byte PROVIDER_USER_DEFINED

  See Also:
    Constant Field Values

### SCOPE_REQUEST

    public static final int SCOPE_REQUEST

  See Also:
    Constant Field Values

### SCOPE_SESSION

    public static final int SCOPE_SESSION

  See Also:
    Constant Field Values

### SCOPE_APPLICATION

    public static final int SCOPE_APPLICATION

  See Also:
    Constant Field Values

### m_serviceType

    protected int m_serviceType

### m_checkMustUnderstands

    protected boolean m_checkMustUnderstands

### m_isApacheDescriptor

    protected boolean m_isApacheDescriptor

### m_providerId

    protected java.lang.String m_providerId

### m_providerType

    protected byte m_providerType

### m_providerClass

    protected java.lang.String m_providerClass

### m_providerOptions

    protected java.util.Hashtable m_providerOptions

### m_scope

    protected int m_scope

### m_methods

    protected java.lang.String[] m_methods

### m_serviceClass

    protected java.lang.String m_serviceClass

### m_isStatic

    protected boolean m_isStatic

### m_typeMappings

    protected TypeMapping[] m_typeMappings

### m_sqlMap

    protected java.util.Hashtable m_sqlMap

### m_faultListener

    protected java.lang.String[] m_faultListener

Constructor Detail

### ServiceDeploymentDescriptor

    public ServiceDeploymentDescriptor()

  Construct a new service descriptor.

Method Detail

### getIsApacheDescriptor

    public boolean getIsApacheDescriptor()

  Get indication of whether this is an Apache SOAP deployment descriptor or not.
  Returns:
    `true` if this descriptor was deployed as an Apache SOAP deployment descriptor. `false` if it was deployed as an Oracle SOAP service deployment descriptor.

### setIsApacheDescriptor

    public void setIsApacheDescriptor(boolean isApache)

  Set whether this is an Apache SOAP deployment descriptor or not.
  Parameters:
    `isApache` - `true` if this descriptor was deployed as an Apache SOAP deployment descriptor. `false` if it was deployed as an Oracle SOAP service deployment descriptor.

### setProviderId

    public void setProviderId(java.lang.String providerId)

  Set the id of the provider for this service.
  Parameters:
    `providerId` - The provider's id for this service.

### getProviderId

    public java.lang.String getProviderId()

  Get the provider id for this service.
  Returns:
    The provider id.

### setMethods

    public void setMethods(java.lang.String[] methods)

  Set the list of methods that are provided by this service.
  Parameters:
    `methods` - The list of provided methods.

### getMethods

    public java.lang.String[] getMethods()

  Get the list of methods that are provided by this service.
  Returns:
    The list of provided methods.

### setScope

    public void setScope(int scope)

  Set the execution scope.
  Parameters:
    `scope` - The execution scope, which is one of the SCOPE_xxx constants.

### getScope

    public int getScope()

  Get the scope.
  Returns:
    The scope, which is one of the SCOPE_xxx constants.

### setServiceType

    public void setServiceType(int serviceType)

  Set the service type. DLD: exlain RPC vs one-way message.
  Parameters:
    `serviceType` - The service type, which is one of the SERVICE_TYPE_xxx constants.

### getServiceType

    public int getServiceType()

  Get the service type.
  Returns:
    The service type, which is one of the SERVICE_TYPE_xxx constants.

### setProviderClass

    public void setProviderClass(java.lang.String providerClass)

  Set the provider class.
  Parameters:
    `providerClass` - The name of the class that implements the provider for this service. This is only valid for Apache deployment descriptors.

### getProviderClass

    public java.lang.String getProviderClass()

  Get the provider class.
  Returns:
    The name of the class that implements the provider for this service. This is only valid for Apache deployment descriptors.

### setProviderType

    public void setProviderType(byte providerType)

  Set the provider type.
  Parameters:
    `providerType` - The provider type, which can be any string. The provider type is used to validate the XML service descriptor (for the provider-specific options).

### getProviderType

    public byte getProviderType()

  Get the provider type.
  Returns:
    The provider type.

### setProviderOptions

    public void setProviderOptions(java.util.Hashtable providerOptions)

  Set the provider-specific options.
  Parameters:
    `providerOptions` - The name-value pairs that represent the provider-specific options for this service.

### getProviderOptions

    public java.util.Hashtable getProviderOptions()

  Get the provider-specific options.
  Returns:
    The name-value pairs that represent the provider-specific options for this service.

### setFaultListener

    public void setFaultListener(java.lang.String[] faultListener)

  Set the fault listener list.
  Parameters:
    `faultListener` - The list of class names that are fault listeners for this service.

### getFaultListener

    public java.lang.String[] getFaultListener()

  Get the fault listener list.
  Returns:
    The list of class names that are fault listeners for this service.

### buildFaultRouter

    public SOAPFaultRouter buildFaultRouter(java.lang.ClassLoader cl)

  Get the fault router.
  Returns:
    The fault router that is built from the service's fault listeners.

### setTypeMappings

    public void setTypeMappings(TypeMapping[] typeMappings)

  Set the XML-Java type mappings, which define how to deserialize XML into Java and serialize Java into XML.
  Parameters:
    `typeMappings` - The type mappings.

### getTypeMappings

    public TypeMapping[] getTypeMappings()

  Get the XML-Java type mappings, which define how to deserialize XML into Java and serialize Java into XML.
  Returns:
    The type mappings.

### setSqlMap

    public void setSqlMap(java.util.Hashtable sqlMap)

  Set the map that maps from SQL type to Java type.
  Parameters:
    `sqlMap` - The SQL type to Java class map.

### getSqlMap

    public java.util.Hashtable getSqlMap()

  Get the SQL type to Java type map.
  Returns:
    The SQL type to Java class map.

### setDefaultSMRClass

    public void setDefaultSMRClass(java.lang.String defaultSMRClass)

  Set the default SOAP mapping registry class.
  Parameters:
    `defaultSMRClass` - The default SOAP mapping registry class.

### getDefaultSMRClass

    public java.lang.String getDefaultSMRClass()

  Get the default SOAP mapping registry class.
  Returns:
    The default SOAP mapping registry class.

### getCheckMustUnderstands

    public boolean getCheckMustUnderstands()

  Get the mustUnderstand attribute processing mode
  Returns:
    The mustUnderstand processing mode.

### setCheckMustUnderstands

    public void setCheckMustUnderstands(boolean checkThem)

  Set the mustUnderstand attribute processing mode
  Parameters:
    `checkThem` - The mustUnderstand processing mode.

### setServiceClass

    public void setServiceClass(java.lang.String className)

  Set the Java class for this service. This is only valid for the Java based services.
  Parameters:
    `className` - fully qualified Java class name.

### getServiceClass

    public java.lang.String getServiceClass()

  Get the Java class for this service. This is only valid for the Java based services.
  Returns:
    fully qualified Java class name.

### setIsStatic

    public void setIsStatic(boolean isStatic)

  Set the attribute which indicates whether the methods exposed by this service are static or not. This is only valid for the Java provider.
  Parameters:
    `isStatic` - `true` if the methods are static else `false`.

### getIsStatic

    public boolean getIsStatic()

  Get an indication of whether the methods exposed by this service are static or not. This is only valid for the Java provider.
  Returns:
    `true` if the methods are static else `false`.

### isMethodValid

    public boolean isMethodValid(java.lang.String methodName)

  Determine if the given method is valid for this service.
  Returns:
    `true` if the method is valid for this service, else `false`.

### fromXML

    public static ServiceDeploymentDescriptor fromXML(Element root)

  Populate the `ServiceDeploymentDescriptor` with information from the given document, which is the XML representation of the descriptor.
  Parameters:
    `root` - The root of the XML document that represents the service descriptor.
  Returns:
    The `ServiceDeploymentDescriptor` that contains the information from the document.
  Throws:
    `java.lang.IllegalArgumentException` - Invalid document.

### toXML

    public void toXML(java.io.Writer pr)

  Write out the service deployment descriptor as XML.
  Parameters:
    `pr` - The writer for the XML output.

### toString

    public java.lang.String toString()

  Get a printable representation of this descriptor.
  Overrides:
    `toString` in class `java.lang.Object`

### buildSOAPMappingRegistry

    public static SOAPMappingRegistry buildSOAPMappingRegistry(ServiceDeploymentDescriptor sdd)

  Utility to generate an XML serialization registry from all the type mappings registered into a deployment descriptor.
  Returns:
    the xml serialization registry

### buildSOAPMappingRegistry

    public static SOAPMappingRegistry buildSOAPMappingRegistry(ServiceDeploymentDescriptor sdd,
                                                               java.lang.ClassLoader cl)

  Utility to generate an XML serialization registry from all the type mappings registered into a deployment descriptor.
  Returns:
    the xml serialization registry

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.